/**
 * @file
 * Help icon description toggle styles.
 */

@import "../base/media-queries.pcss.css";

.help-icon {
  display: flex;
}

.help-icon__description-toggle {
  all: unset;
  flex-shrink: 0;
  width: 16px;
  height: 16px;
  cursor: pointer;
  border-radius: 50%;
  margin-block: 0.1rem 0;
  margin-inline: 0.3rem var(--admin-space-m);

  &::before {
    display: block;
    width: 100%;
    height: 100%;
    content: "";
    background-color: var(--admin-color-icon);
    mask-image: url("../../migration/media/icons/toolbar/help.svg");
    mask-repeat: no-repeat;
    mask-position: center center;
    mask-size: 100% 100%;
  }

  &:hover::before {
    background-color: var(--admin-color-primary);
  }

  .field-group-details.help-icon__description-container & {
    margin-block-start: 0;
  }

  .field-group-fieldset > .help-icon > &,
  fieldset.media-library-widget .help-icon > &,
  .field--type-datetime fieldset .help-icon > & {
    margin-block-start: 1rem;
  }

  :is(.system-modules, .system-modules-uninstall) .table-filter .form-type--search & {
    position: absolute;
    inset-inline-end: calc(var(--admin-space-xs) * -1);
    inset-block-start: var(--admin-space-m);
  }
}

.help-icon__element-has-description {
  :is(.form-type--checkbox, .form-type--radio) > & {
    display: flex;
    align-items: normal;

    > label {
      margin-inline-start: 6px;
    }
  }
}

.fieldset__label {
  fieldset:not(.fieldgroup) .help-icon > .fieldset__legend & {
    padding-inline-end: 0;
  }
}

.fieldset__description {
  .field-group-fieldset > &,
  fieldset.media-library-widget &,
  .field--type-datetime fieldset & {
    padding-inline-start: var(--admin-space-m);

    @media (--admin-small) {
      padding-inline-start: var(--admin-space-l);
    }
  }
}

.form-type--search {
  :is(.system-modules, .system-modules-uninstall) .table-filter & {
    position: relative;
  }
}
